- code_suggestions_help_page_link = link_to('', help_page_url('user/gitlab_duo/index', anchor: 'code-suggestions'), target: '_blank', rel: 'noopener noreferrer')
- duo_chat_help_page_link = link_to('', help_page_url('user/gitlab_duo_chat/index'), target: '_blank', rel: 'noopener noreferrer')
:css
  a {color: #A989F5 }
  table { border-collapse: collapse !important; }
%table{ border: "0", cellpadding: "0", cellspacing: "0", role: "presentation", width: "100%" }
  %tr
    %td{ align: "center", style: "padding: 0px;" }
      %table{ border: "0", cellpadding: "0", cellspacing: "0", role: "presentation", style: "background-color: #171321", width: "600" }
        %tr
          %td{ style: "padding: 0px;" }
            %table{ border: "0", cellpadding: "0", cellspacing: "0", role: "presentation", width: "100%" }
              / logo header
              %tr
                %td{ align: "left", style: "padding: 20px;" }
                  %a{ href: "https://about.gitlab.com/" }
                    %img{ alt: "go to about.gitlab", src: image_url('duo_pro/duo_white_logo.png'), width: "150" }
              / /logo header

              / title
              %tr
                %td{ style: "max-width: 600px; width: 100%; text-align: left; height: 62px; padding: 0 20px; min-height: 40px; font-family: 'Source Sans Pro', helvetica, arial, sans-serif;", valign: "middle", width: "100%" }
                  %h1{ style: "line-height: 46px; color: #ffffff; margin: 0;" }
                    = s_('CodeSuggestions|Welcome to GitLab Duo Pro!')
              / /title

              / demo
              %tr
                %td{ align: "left", style: "padding: 0 20px;" }
                  %a.logo{ href: new_session_path(:user) }
                    %img{ alt: "sign in", src: image_url('duo_pro/code_suggestions_demo.gif'), width: "540" }
              / /demo

              / Two body paragraph
              %tr
                %td{ style: "padding: 20px 50px 20px 30px; font-family: 'Source Sans Pro', helvetica, arial, sans-serif; color: #ffffff; line-height: 20px;" }
                  %p
                    = safe_format(s_('CodeSuggestions|You now have access to GitLab Duo Pro, which features %{code_suggestions_link_start}Code Suggestions%{code_suggestions_link_end} and %{chat_link_start}Chat%{chat_link_end}.'), tag_pair(code_suggestions_help_page_link, :code_suggestions_link_start, :code_suggestions_link_end), tag_pair(duo_chat_help_page_link, :chat_link_start, :chat_link_end))
                  %p
                    = s_('CodeSuggestions|Get started with GitLab Duo Pro today to boost your efficiency and effectiveness by reducing the time required to write and understand code.')
              / /Two body paragraph

              / border-based button purple
              %tr
                %td{ align: "left", style: "padding: 10px 40px 30px 40px; font-family: 'Source Sans Pro', helvetica, arial, sans-serif;" }
                  %a{ href: new_session_path(:user), style: "font-weight: bold; font-family: 'Source Sans Pro', helvetica, arial, sans-serif; color: #ffffff; text-decoration: none; border-radius: 3px;  border-top: 10px solid #7759c2; border-bottom: 10px solid #7759c2; border-right: 25px solid #7759c2; border-left: 25px solid #7759c2; background-color: #7759c2; display: inline-block;", target: "_blank", rel: "noopener noreferrer nofollow" }
                    = _('Go to GitLab')
              / /border-based button purple

              / sub-title
              %tr
                %td{ style: "text-align: left; height: 56px; padding: 0 40px; min-height: 40px; font-family: 'Source Sans Pro', helvetica, arial, sans-serif;", valign: "middle", width: "100%" }
                  %h3{ style: "font-size: 26px; line-height: 30px; color: #ffffff; font-weight: 600;" }
                    = s_('CodeSuggestions|Get started with these Duo Pro features:')
              / /sub-title

              / features
              %tr
                %td{ style: "font-family: 'Source Sans Pro', helvetica, arial, sans-serif; " }
                  %table{ role: "presentation", style: "color: #ffffff; width: 540px" }
                    %tr
                      %td{ style: "vertical-align: top; padding: 0px 15px 20px 40px" }
                        %a{ href: help_page_url('user/gitlab_duo/index', anchor: 'code-suggestions') }
                          %img{ alt: "Code Suggestions", src: image_url('duo_pro/code_suggestions_feature_icon'), width: "60" }
                      %td{ align: "left", style: "vertical-align: middle" }
                        %h3{ style: "line-height: 20px; margin: 0;" }
                          %a{ href: help_page_url('user/gitlab_duo/index', anchor: 'code-suggestions') }
                            = s_('CodeSuggestions|Code Suggestions')
                        %p{ style: "margin: 13px 0px" }
                          = s_('CodeSuggestions|Automatically generate new lines of code, including full functions, from single and multi-line comments as well as comment blocks')
                    %tr
                      %td{ style: "vertical-align: top; padding: 20px 15px 0px 40px" }
                        %a{ href: help_page_url('user/gitlab_duo/index', anchor: 'code-explanation') }
                          %img{ alt: "Code Explanations", src: image_url('duo_pro/code_explanations_feature_icon'), width: "60" }
                      %td{ align: "left", style: "vertical-align: middle; padding: 20px 15px 0px 0px" }
                        %h3{ style: "line-height: 20px; margin: 0;" }
                          %a{ href: help_page_url('user/gitlab_duo/index', anchor: 'code-explanation') }
                            = s_('CodeSuggestions|Code Explanations')
                        %p{ style: "margin: 13px 0px" }
                          = s_('CodeSuggestions|Helps you get up to speed quickly by explaining source code')
                    %tr
                      %td{ style: "vertical-align: top; padding: 20px 15px 20px 40px" }
                        %a{ href: help_page_url('user/gitlab_duo/index', anchor: 'test-generation') }
                          %img{ alt: "Test Generation", src: image_url('duo_pro/test_generation_feature_icon'), width: "60" }
                      %td{ align: "left", style: "vertical-align: middle; padding: 20px 15px 20px 0px" }
                        %h3{ style: "line-height: 20px; margin: 0;" }
                          %a{ href: help_page_url('user/gitlab_duo/index', anchor: 'test-generation') }
                            = s_('CodeSuggestions|Test Generation')
                        %p{ style: "margin: 13px 0px" }
                          = s_('CodeSuggestions|Automate your repetitive tasks and catch bugs early')
              / /features

              / border-based button purple
              %tr
                %td{ align: "left", style: "padding: 10px 40px 30px 40px; font-family: 'Source Sans Pro', helvetica, arial, sans-serif;" }
                  %a{ href: help_page_url('user/gitlab_duo/index'), style: "font-weight: bold; font-family: 'Source Sans Pro', helvetica, arial, sans-serif; color: #ffffff; text-decoration: none; border-radius: 3px;  border-top: 10px solid #7759c2; border-bottom: 10px solid #7759c2; border-right: 25px solid #7759c2; border-left: 25px solid #7759c2; background-color: #7759c2; display: inline-block;", target: "_blank", rel: "noopener noreferrer nofollow" }
                    = _('Get started')
              / /border-based button purple

              / footer
              %tr
                %td{ align: "center", style: "color: #ffffff; padding-top: 20px; font-family: 'Source Sans Pro', helvetica, arial, sans-serif;" }
                  %img{ alt: "GitLab", src: image_url('mailers/gitlab_logo.png'), width: "36" }
                  %p{ style: "font-size: 13px; padding: 20px" }
                    = notification_reason_text(show_manage_notifications_link: true, show_help_link: true, unsubscribe_url: @unsubscribe_url, format: :html)
              / /footer
